Subject: Bug#1469: X2Go Client connection issue (Socket error)

From: Melroy van den Berg <[email-masked]>
Date: Mon, 18 May 2020 18:54:06 +0000

Package: x2goclient
Version: 4.1.2.2

I often get an error message when I try to connect to my Debian buster docker image, running x2goserver and XFCE, via the X2Go Client on my host machine.
It will give the following error message (when using the --debug flag on the x2goclient):

x2go-DEBUG-../src/sshmasterconnection.cpp:2071> "ssh_channel_open_session failed": "Socket error: No such file or directory"
x2go-DEBUG-../src/sshprocess.cpp:478> I/O error: "ssh_channel_open_session failed."" - Socket error: No such file or directory" (0).

I created a detailed video, I posted it on YouTube, please take a look at the video:
https://youtu.be/LAlLtBNTIUo

Logging details, reproducibility and more is explained in the video itself. You'll notice that I can sometimes connect to the XFCE session and sometimes I can't. Although connecting via the ssh cli command is always working without any issues. Meaning there is really some kind of bug in the X2Go Client. I'm afraid.

Again, I really hope somebody could help me in finding the root-cause and fixing the issue.
Since I really love X2Go. And I would like to use this tool in production.
I'm also a software developer so maybe I can help debugging the problem.

Similar (same) bug is reported in the past (from 2019): https://lists.x2go.org/pipermail/x2go-user/2019-March/005512.html
All the details regarding this Docker image and setup can be found in this git repo: https://gitlab.melroy.org/melroy/xfcevdi

See attachments for additional debug logs of the client itself. One when successful and one during the error.

Thanks in advance!

Kind regards,
Melroy van den Berg

Ps. You can contact me by mail of course. But I can understand that debugging this issue would be preferable be done via VoIP for example.